import { VariableInfo } from 'wgsl_reflect'

export class VariableStageInfo {
  stages
  variableInfo

  /**
   * @param {GPUShaderStageFlags} stages
   * @param {VariableInfo} variableInfo
   */
  constructor(stages, variableInfo) {
    this.stages = stages
    this.variableInfo = variableInfo
  }
}

/**
 * @extends Map<number, VariableStageInfo>
 */
export class BindingMap extends Map { }

/**
 * @extends Map<number, BindingMap>
 */
export class GroupBindingMap extends Map { }



