import { GraphicsDevice } from '../core/graphics-device.js'

export class GraphicsDeviceInitialized {
  static EventName = 'graphics-device:initialized'
  graphicsDevice

  /**
   * @param {GraphicsDevice} graphicsDevice 
   */
  constructor(graphicsDevice) {
    this.graphicsDevice = graphicsDevice
  }
}

export class GraphicsDeviceLost {
  static EventName = 'graphics-device:device-lost'
  info

  /**
   * @param {GPUDeviceLostInfo} info 
   */
  constructor(info) {
    this.info = info
  }
}


