import { FlagEnum } from '../utils.js'

export const ShaderType = FlagEnum(
  'auto',
  'vertex',
  'fragment',
  'compute'
)

export const ResourceType = Object.freeze({
  Sampler: 0,
  TextureView: 1,
  Buffer: 2,
  ExternalTexture: 3
})

